on run argv
	-- Gets passed: PATH_TO_APPLICATION_RESOURCES, PATH_TO_OUR_GLOBAL_APPLICATION_SUPPORT_FOLDER, str(rsyncExists), str(rsyncdLaunchDaemonExists), str(rsyncdConfExists), str(pathToPreparedRsyncdConf), str(thisUsersConfExists), str(pathToPreparedUserConf), CURRENT_OS_USER
	
	
	set pathToResources to item 1 of argv
	set pathToOurGlobalApplicationSupportFolder to item 2 of argv
	set rsyncExists to (item 3 of argv as boolean)
	
	set rsyncdLaunchDaemonExists to (item 4 of argv as boolean)
	
	set rsyncdConfExists to (item 5 of argv as boolean)
	set pathToPreparedRsyncdConf to item 6 of argv
	
	set thisUsersConfExists to (item 7 of argv as boolean)
	set pathToPreparedUserConf to item 8 of argv
	
	set username to item 9 of argv
	
	
	if not rsyncExists then
		set source to quoted form of (pathToResources & "/rsync")
		set destination to quoted form of (pathToOurGlobalApplicationSupportFolder & "/rsync")
		do shell script "mkdir -p " & quoted form of pathToOurGlobalApplicationSupportFolder with administrator privileges
		do shell script "cp " & source & " " & destination with administrator privileges
	end if
	
	
	if not rsyncdLaunchDaemonExists then
		set source to quoted form of (pathToResources & "/com.backaroo.rsyncd.plist")
		set destination to quoted form of ("/Library/LaunchDaemons/com.backaroo.rsyncd.plist")
		do shell script "cp " & source & " " & destination with administrator privileges
		do shell script "chown root " & destination with administrator privileges
	end if
	
	
	if not rsyncdConfExists then
		set source to quoted form of pathToPreparedRsyncdConf
		set destination to quoted form of (pathToOurGlobalApplicationSupportFolder & "/rsyncd.conf")
		do shell script "mkdir -p " & quoted form of pathToOurGlobalApplicationSupportFolder with administrator privileges
		do shell script "cp " & source & " " & destination with administrator privileges
	end if
	
	
	if not thisUsersConfExists then
		set source to quoted form of pathToPreparedUserConf
		set destination to quoted form of (pathToOurGlobalApplicationSupportFolder & "/rsyncd-confs/" & username & ".conf")
		do shell script "mkdir -p " & quoted form of (pathToOurGlobalApplicationSupportFolder & "/rsyncd-confs") with administrator privileges
		do shell script "cp " & source & " " & destination with administrator privileges
	end if
	
	
	
end run

